Loading...
Searching...
No Matches
Opm::RegionSetMatchResult Class Reference

Result Set From RegionSetMatcher's Matching Process. More...

`#include <RegionSetMatcher.hpp>`

## Classes

class | RegionIndexRange
| Region Index Range for Single Region Set. More...

## Public Member Functions

| RegionSetMatcher ()=delete
| Default constructor.
| RegionSetMatcher (const FIPRegionStatistics &fipRegStats)
| Constructor.
| RegionSetMatcher (const RegionSetMatcher &rhs)=delete
| Copy constructor.
| RegionSetMatcher (RegionSetMatcher &&rhs)
| Move constructor.
RegionSetMatcher & | operator= (const RegionSetMatcher &rhs)=delete
| Assignment operator.
RegionSetMatcher & | operator= (RegionSetMatcher &&rhs)
| Move-assignment operator.
| ~RegionSetMatcher ()
| Destructor.
RegionSetMatchResult | findRegions (const SetDescriptor &regSet) const
| Determine collection of region sets and corresponding region indices matching an input set description.

## Detailed Description

Result Set From RegionSetMatcher's Matching Process.

## Constructor & Destructor Documentation

## ~RegionSetMatcher()

Opm::RegionSetMatchResult::~RegionSetMatcher | ( |  | ) |

Destructor.

Needed to implement "pimpl" idiom.

## Member Function Documentation

## findRegions()

RegionSetMatchResult Opm::RegionSetMatchResult::findRegions | ( | const SetDescriptor & | regSet | ) | const

Determine collection of region sets and corresponding region indices matching an input set description.

Set is typically derived from description of user defined quantities at the region level, e.g.,

UDQ
DEFINE RURAL ROPR_NUM + RWPR_NUM /
/

which represents the surface level liquid production rate for all regions in the region set 'FIPNUM'.

Parameters

  [in] | regSet | selection description.

Returns
  Collection of region sets and corresponding region indices matching input set description.

## operator=() [1/2]

RegionSetMatcher & Opm::RegionSetMatchResult::operator= | ( | const RegionSetMatcher & | rhs | ) |

delete

Assignment operator.

Disabled.

Parameters

  [in] | rhs | Source object.

Returns
  *this
  .

## operator=() [2/2]

RegionSetMatcher & Opm::RegionSetMatchResult::operator= | ( | RegionSetMatcher && | rhs | ) |

Move-assignment operator.

Parameters

  [in,out] | rhs | Source object. Left in empty state upon return.

Returns
  *this
  .

## RegionSetMatcher() [1/4]

Opm::RegionSetMatchResult::RegionSetMatcher | ( |  | ) |

delete

Default constructor.

Disabled.

## RegionSetMatcher() [2/4]

Opm::RegionSetMatchResult::RegionSetMatcher | ( | const FIPRegionStatistics & | fipRegStats | ) |

explicit

Constructor.

Parameters

  [in] | fipRegStats | Basic statistics about model's region sets.

## RegionSetMatcher() [3/4]

Opm::RegionSetMatchResult::RegionSetMatcher | ( | const RegionSetMatcher & | rhs | ) |

delete

Copy constructor.

Disabled.

Parameters

  [in] | rhs | Source object.

## RegionSetMatcher() [4/4]

Opm::RegionSetMatchResult::RegionSetMatcher | ( | RegionSetMatcher && | rhs | ) |

Move constructor.

Parameters

  [in,out] | rhs | Source object. Left in empty state upon return.

The documentation for this class was generated from the following file:

- opm/input/eclipse/EclipseState/Grid/RegionSetMatcher.hpp